com.mysql.cj.xdevapi

## Interface Column

    public interface Column

Represents individual column of `RowResult`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getCharacterSetName()` Get character set name for the column value.
`String` `getCollationName()` Get collation name for the column value.
`String` `getColumnLabel()` Get alias of this column.
`String` `getColumnName()` Get name of this column.
`int` `getFractionalDigits()` Get number of fractional digits in this column's value.
`long` `getLength()` Get this column's length.
`String` `getSchemaName()` Get name of `Schema`.
`String` `getTableLabel()` Get alias of `Table`.
`String` `getTableName()` Get name of `Table`.
`Type` `getType()` Get this column's `Type`.
`boolean` `isAutoIncrement()` Checks if this is an auto increment column.
`boolean` `isNullable()` Checks if column can contain null values.
`boolean` `isNumberSigned()` Checks if value represents a signed number.
`boolean` `isPadded()` Checks if the value has a padding.
`boolean` `isPartKey()` Checks if this column is a part of key.
`boolean` `isPrimaryKey()` Checks if this is a primary key column.
`boolean` `isUniqueKey()` Checks if this is a unique key column.

### Method Detail

#### getSchemaName

    String getSchemaName()

Get name of `Schema`.

Returns:
  schema name

#### getTableName

    String getTableName()

Get name of `Table`.

Returns:
  table name

#### getTableLabel

    String getTableLabel()

Get alias of `Table`.

Returns:
  table alias

#### getColumnName

    String getColumnName()

Get name of this column.

Returns:
  column name

#### getColumnLabel

    String getColumnLabel()

Get alias of this column.

Returns:
  column alias

#### getType

    Type getType()

Get this column's `Type`.

Returns:
  column type

#### getLength

    long getLength()

Get this column's length.

Returns:
  column length

#### getFractionalDigits

    int getFractionalDigits()

Get number of fractional digits in this column's value.

Returns:
  number of fractional digits

#### isNumberSigned

    boolean isNumberSigned()

Checks if value represents a signed number.

Returns:
  true if value represents a signed number

#### getCollationName

    String getCollationName()

Get collation name for the column value.

Returns:
  collation name

#### getCharacterSetName

    String getCharacterSetName()

Get character set name for the column value.

Returns:
  character set name

#### isPadded

    boolean isPadded()

Checks if the value has a padding.

Returns:
  true if column flags contain FIELD_FLAG_ZEROFILL or field type is CHAR

#### isNullable

    boolean isNullable()

Checks if column can contain null values.

Returns:
  false if column flags contain FIELD_FLAG_NOT_NULL

#### isAutoIncrement

    boolean isAutoIncrement()

Checks if this is an auto increment column.

Returns:
  true if column flags contain FIELD_FLAG_AUTO_INCREMENT

#### isPrimaryKey

    boolean isPrimaryKey()

Checks if this is a primary key column.

Returns:
  true if column flags contain FIELD_FLAG_PRIMARY_KEY

#### isUniqueKey

    boolean isUniqueKey()

Checks if this is a unique key column.

Returns:
  true if column flags contain FIELD_FLAG_UNIQUE_KEY

#### isPartKey

    boolean isPartKey()

Checks if this column is a part of key.

Returns:
  true if column flags contain FIELD_FLAG_MULTIPLE_KEY

Copyright © 2016, 2023, Oracle and/or its affiliates.